VantPay API Documentation
API Docs
API Docs
  1. Confirm Payout Status
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
        GET
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Confirm Payout Status

get-settlement-status

GET
/api/v1/payout/status
This is endpoint is used to confirm the status of outward settlement processed through vantPay settlement API.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://digitvirtual-dev.digitvant.com/api/v1/payout/status?clientRef' \
--header 'accept: */*' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-02-19 13:52:48
Previous
get-settlement-history
Next
Checkout
Built with